[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Installing Openshift on CentOS 6] Ruby Gems issue



I'm continuing my building of the prototype environment on CentOS 6, troubleshooting configuration issues. My latest is in configuring the bundler. Here is the error message that I get when I try to verify that Bundler can find the necessary Ruby modules (or "gems") to run the broker Rails application--

[root openshift03 gorilla dev opal broker]# bundle --local
/usr/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:247:in `to_specs': Could not find bundler (>= 0) amongst [net-ping-1.3.2, semver-1.0.1, stomp-1.1.9, sys-proctable-0.8.1-x86_64-linux] (Gem::LoadError)
    from /usr/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:256:in `to_spec'
    from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1210:in `gem'
    from /usr/bin/bundle:18
[root openshift03 gorilla dev opal broker]#

I'll confess that I am very much a novice with ruby-gems. The message says that it could not find bundler among the listed processes. Any clues and tutorials that you think might help, relevant to Openshift?

Thanks. Cheers.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]